import { type KnipConfig } from "knip";

const config: KnipConfig = {
    "entry": [
        "./src/index.ts",
    ],
    "project": ["src/**/*.ts", "src/**/*.js", "./scripts/*.mjs"],
    // "ignore": ["src/**/*.test.ts", "src/**/*.stories.ts"],
    // Prevent Knip from complaining about web components, which export their classes but also
    // export their registration, and we don't always use both.
    "ignoreExportsUsedInFile": true,
    "typescript": {
        config: ["tsconfig.json"],
    },
    "wireit": {
        config: ["package.json"],
    },
    "eslint": {
        entry: [
            "eslint.config.mjs",
            "scripts/eslint.precommit.mjs",
            "scripts/eslint.nightmare.mjs",
            "scripts/eslint.mjs",
        ],
        config: ["package.json"],
    }
};

export default config;
