export class LitDragStart extends Event {
    static readonly eventName = "lit-drag-start";
    x: number;
    y: number;
    constructor(x: number, y: number) {
        super(LitDragStart.eventName, { bubbles: true, composed: true });
        this.x = x;
        this.y = y;
    }
}

export class LitDrag extends Event {
    static readonly eventName = "lit-drag";
    x: number;
    y: number;
    constructor(x: number, y: number) {
        super(LitDrag.eventName, { bubbles: true, composed: true });
        this.x = x;
        this.y = y;
    }
}

export class LitDragEnd extends Event {
    static readonly eventName = "lit-drag-end";
    constructor() {
        super(LitDragEnd.eventName, { bubbles: true, composed: true });
    }
}

declare global {
    interface GlobalEventHandlersEventMap {
        [LitDragStart.eventName]: LitDragStart;
        [LitDrag.eventName]: LitDrag;
        [LitDragEnd.eventName]: LitDragEnd;
    }
}
