import { LitElement, html, css } from "lit";
import { customElement } from "lit/decorators/custom-element.js";

@customElement("screen-size")
export class ScreenSize extends LitElement {
    static get styles() {
        return css`
            div#indicator::before {
                font-family: "Cinzel", serif;
                font-optical-sizing: auto;
                --w: tan(atan2(var(--w_raw), 1px));
                --h: tan(atan2(var(--h_raw), 1px));
                font-size: 3rem;
                font-weight: 900;
                content: counter(w) "x" counter(h);
                counter-reset: h var(--h) w var(--w);
            }
        `;
    }

    render() {
        return html`<div id="indicator"></div>`;
    }
}
